Package org.eclipse.microprofile.openapi.apps.petstore.model

## Class Cat

- java.lang.Object
- - org.eclipse.microprofile.openapi.apps.petstore.model.Pet
  - - org.eclipse.microprofile.openapi.apps.petstore.model.Cat

    public class Cat
    extends Pet

### Constructor Summary

Constructors
`Cat()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getCatBreed()`
`void` `setCatBreed​(String catBreed)`

### Methods inherited from class org.eclipse.microprofile.openapi.apps.petstore.model.Pet

`getBirthInstant, getCategory, getId, getName, getPhotoUrls, getStatus, getTags, setBirthInstant, setCategory, setId, setName, setPhotoUrls, setStatus, setTags`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Cat

    public Cat()

### Method Detail

#### getCatBreed

    public String getCatBreed()

#### setCatBreed

    public void setCatBreed​(String catBreed)